Subject: Brief review of the MacViewHZ program

From: "Z. Sun" <[email-masked]>
Date: Wed, 28 Apr 1993 12:30:06 -0400

Here's my comments on the new MacViewHZ program.

1. It looks like a re-write of the MacHanzi program: all the menu structure
resemble MacHanzi, except that it has removed a few features: MacHanzi allows
both horizontal and vertical views, MacViewHZ only allows horizontal view;
MacHanzi has an option of loading GB or BIG5 dict in the menu, MacViewHZ does
not; MacHanzi has commands to view "next" "previous" screen, MacViewHz has a
scrollable window so it omitted those screen options.

2. Featurewise I like the new program a lot better. The window size is no
longer fixed, and the program is system 7 compatible (I tested it on a 19"
Radius monitor on a IIci. System 7.1). The scroll feature is a lot more
Mac-ish than its predecessor. However, the same feature replaced the vertical
display capability which may be a good one for big5 users (to me it's no big
deal, I never use vertical display anyway).

3. Overall, this program is a lot better than its predecessor. I have success-
fully printed the sample GB file based on the new 24 pt lib. However, this is
a major omission from the Readme doc that came with the package.

The truth is, the cclib.16 you get from the ftp site or from the MacHanzi
package will not allow high quality printing - the program won't look at the
newziku.24.

To make the program use the 24 pt Ziku, one has to change the file CREATOR of
the cclib.16 to HZVW (so the file TYPE is ZIKU, CREATOR is HZVW). At least that
was how I got the program to utilize the 24 pt ziku.

Here's my procedure:
1. Copy the cclib.16 from the MacHanzi package to the MacViewHZ Folder;
2. Chang the file CREATOR to HZVW (so it's the same as newlib.24);
3. Open the gb file;
4. Display at 50%;
5. Print.

I hope this hint would be helpful to people with MacHanzi in hand. If you will
have to ftp the cclib.16, you need to set the file TYPE and CREATOR to get the
hight quality printout. TYPE: ZIKU; CREATOR: HZVW

Still, I wish to give the author my ovation for the good job.

Jack